Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157486 - Anaconda crahses on selecting a DMX1000 array LUN for installation
Summary: Anaconda crahses on selecting a DMX1000 array LUN for installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 23:01 UTC by Nick Amiri
Modified: 2012-06-20 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:08:14 UTC


Attachments (Terms of Use)
Anaconda crash dump file (deleted)
2005-05-11 23:46 UTC, Nick Amiri
no flags Details
fix HDIO_GETGEO (deleted)
2005-05-24 13:57 UTC, Tom Coughlan
no flags Details | Diff

Description Nick Amiri 2005-05-11 23:01:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
This problem is reproducible only when you boot from SAN storage Array EMC DMX1000 with 8 or more luns and Qlogic HBA.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Disconnect all loval disks from the system
2.Configure multiple luns (8 or more) on EMC DMX1000 Array
3.Make sure that the FC HBA can see all the luns. 
4.Start RHEL4 installation and choose graphic mode.
5.Select 'next' then select English as language twice.
6.Select to Mannually partition disks
7.select the disk and continue
 

Actual Results:  Anaconda will crash at this point. Reproducible every singel time.


Expected Results:  Installation should continue with creating partition on the selected disk.

Additional info:

See attached anaconda dump file.

Comment 1 Nick Amiri 2005-05-11 23:46:23 UTC
Created attachment 114269 [details]
Anaconda crash dump file

Comment 4 Jeremy Katz 2005-05-16 20:31:02 UTC
How big is the disk being exported by the EMC array?

Comment 6 Nick Amiri 2005-05-17 01:22:05 UTC
(In reply to comment #4)
> How big is the disk being exported by the EMC array?

The Disk form the EMC array is 40GB. However, there are a bunch of other disks 
present on the array. The largest one is 40GB, there are other 8GB and 1GB 
disks. There are also some controller read-only devices which are only a few 
MBs.
I can install the OS using the text-only mode intallation, but anaconda (gui-
mode) crashes.

Comment 7 Jeremy Katz 2005-05-19 01:30:37 UTC
GB or TB?

Comment 8 Nick Amiri 2005-05-19 21:14:03 UTC
GB it is.

Comment 9 Jeremy Katz 2005-05-23 15:20:09 UTC
Kernel is exporting one of cylinders, heads or sectors as zero which is bogus.

Comment 10 Tom Coughlan 2005-05-24 13:57:13 UTC
Created attachment 114773 [details]
fix HDIO_GETGEO

This is a proposed patch to fix the problem. Can you test and see if it fixes
your problem?

Comment 11 Nick Amiri 2005-05-24 19:59:59 UTC
How do I test this patch? I use CDs to install the OS. Please give me 
instructions on how to use this. 

Comment 12 Dave Jones 2005-05-25 00:50:43 UTC
This patch is included in current Fedora builds.

You should be able to burn the boot.iso from
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/images/

and do a network install to test if it works.

If this patch works out ok, it'll be in RHEL4 U2.

Comment 13 Jiri Pallich 2012-06-20 16:08:14 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.